nxt.account

## Enum AccountLedger.LedgerHolding

- java.lang.Object
- - java.lang.Enum<AccountLedger.LedgerHolding>
  - - nxt.account.AccountLedger.LedgerHolding

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AccountLedger.LedgerHolding>
  Enclosing class:
    AccountLedger

      public static enum AccountLedger.LedgerHolding
      extends java.lang.Enum<AccountLedger.LedgerHolding>

  Ledger holdings When adding a new holding, do not change the existing code assignments since they are stored in the holding_type field of the account_ledger table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSET_BALANCE`
    `COIN_BALANCE`
    `CURRENCY_BALANCE`
    `UNCONFIRMED_ASSET_BALANCE`
    `UNCONFIRMED_COIN_BALANCE`
    `UNCONFIRMED_CURRENCY_BALANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccountLedger.LedgerHolding` | `fromCode(int code)` Get the holding from the holding code
    `int` | `getCode()` Return the holding code
    `boolean` | `isUnconfirmed()` Check if the holding is unconfirmed
    `static AccountLedger.LedgerHolding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AccountLedger.LedgerHolding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCONFIRMED_COIN_BALANCE

          public static final AccountLedger.LedgerHolding UNCONFIRMED_COIN_BALANCE

    - #### COIN_BALANCE

          public static final AccountLedger.LedgerHolding COIN_BALANCE

    - #### UNCONFIRMED_ASSET_BALANCE

          public static final AccountLedger.LedgerHolding UNCONFIRMED_ASSET_BALANCE

    - #### ASSET_BALANCE

          public static final AccountLedger.LedgerHolding ASSET_BALANCE

    - #### UNCONFIRMED_CURRENCY_BALANCE

          public static final AccountLedger.LedgerHolding UNCONFIRMED_CURRENCY_BALANCE

    - #### CURRENCY_BALANCE

          public static final AccountLedger.LedgerHolding CURRENCY_BALANCE

  - ### Method Detail

    - #### values

          public static AccountLedger.LedgerHolding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountLedger.LedgerHolding c : AccountLedger.LedgerHolding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountLedger.LedgerHolding valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isUnconfirmed

          public boolean isUnconfirmed()

      Check if the holding is unconfirmed
      Returns:
        TRUE if the holding is unconfirmed

    - #### getCode

          public int getCode()

      Return the holding code
      Returns:
        Holding code

    - #### fromCode

          public static AccountLedger.LedgerHolding fromCode(int code)

      Get the holding from the holding code
      Parameters:
        `code` - Holding code
      Returns:
        Holding